html {
  background: #d7d9e6;
  color: #110e0e;
}

body{
  margin: 0px;
}

main{
  margin-left: 20px;
  margin-right: 20px;
}

h1{
  text-align: center;
}

.navbar ul{
  list-style-type: none;
  background-color: hsl(0, 0%, 25%);
  padding: 0px;
  margin: 0px;
  overflow: hidden;
}

.navbar a{
  color: white;
  text-decoration: none;
  padding: 15px;
  display: block;
  text-align: center;
}

.navbar a:hover{
  background-color: hsl(0, 0%, 10%);
}

.navbar li{
  float: left;
}

/*Grid*/

.item1 { grid-area: header; }
.item2 { grid-area: menu; }
.item3 { grid-area: main; }
.item4 { grid-area: right; }
.item5 { grid-area: footer; }

.grid-container {
  display: grid;
  grid-template-areas:
    'header header header header header header'
    'menu main main main right right'
    'menu footer footer footer footer footer';
  gap: 10px;
  background-color: hsl(0, 0%, 25%);
  padding: 10px;
}

.grid-container > div {
  background-color: #d7d9e6;
  text-align: center;
  padding: 20px 0;
}

h2{
  text-align: center;
  font-size: 20px;
}

/* flexbox */
* {
  box-sizing: border-box;
}

body {
  margin: 0;
  font-family: Arial;
}

.header {
  text-align: center;
  padding: 32px;
}

.row {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}

/* Create four equal columns that sits next to each other */
.column {
  flex: 25%;
  max-width: 25%;
  padding: 0 4px;
}

.column img {
  margin-top: 8px;
  vertical-align: middle;
}

/* Responsive layout - makes a two column-layout instead of four columns */
@media (max-width: 800px) {
  .column {
    flex: 50%;
    max-width: 50%;
  }
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media (max-width: 600px) {
  .column {
    flex: 100%;
    max-width: 100%;
  }
}